<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateDireccion extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('direccion')
			->addColumn('calle', 'string', ['length' => 255, 'null' => false])
			->addColumn('numero', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('extra', 'string', ['length' => 255, 'null' => false])
			->addColumn('comuna', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addForeignKey('comuna', 'comuna', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
